2005-04-17 02:20:36 +04:00
# ===========================================================================
# Kernel configuration targets
# These targets are used from top-level makefile
2015-04-08 12:11:57 +03:00
PHONY += xconfig gconfig menuconfig config silentoldconfig update-po-config \
2009-04-30 06:52:23 +04:00
localmodconfig localyesconfig
2005-04-17 02:20:36 +04:00
2008-08-25 12:51:27 +04:00
i f d e f K B U I L D _ K C O N F I G
Kconfig := $( KBUILD_KCONFIG)
e l s e
2010-09-05 01:10:20 +04:00
Kconfig := Kconfig
2008-08-25 12:51:27 +04:00
e n d i f
2007-10-25 22:42:18 +04:00
2015-04-08 14:30:42 +03:00
i f e q ( $( quiet ) , s i l e n t _ )
silent := -s
e n d i f
2012-11-22 04:06:04 +04:00
# We need this, in case the user has it in its environment
u n export CONFIG_
2005-04-17 02:20:36 +04:00
xconfig : $( obj ) /qconf
2015-04-08 14:30:42 +03:00
$< $( silent) $( Kconfig)
2005-04-17 02:20:36 +04:00
gconfig : $( obj ) /gconf
2015-04-08 14:30:42 +03:00
$< $( silent) $( Kconfig)
2005-04-17 02:20:36 +04:00
menuconfig : $( obj ) /mconf
2015-04-08 14:30:42 +03:00
$< $( silent) $( Kconfig)
2005-04-17 02:20:36 +04:00
config : $( obj ) /conf
2015-04-08 14:30:42 +03:00
$< $( silent) --oldaskconfig $( Kconfig)
2005-04-17 02:20:36 +04:00
2009-11-25 13:28:43 +03:00
nconfig : $( obj ) /nconf
2015-04-08 14:30:42 +03:00
$< $( silent) $( Kconfig)
2009-11-25 13:28:43 +03:00
2005-04-17 02:20:36 +04:00
silentoldconfig : $( obj ) /conf
2014-05-29 09:33:03 +04:00
$( Q) mkdir -p include/config include/generated
2016-12-01 01:41:58 +03:00
$( Q) test -e include/generated/autoksyms.h || \
touch include/generated/autoksyms.h
2015-04-08 14:30:42 +03:00
$< $( silent) --$@ $( Kconfig)
2005-04-17 02:20:36 +04:00
2011-07-02 02:13:03 +04:00
localyesconfig localmodconfig : $( obj ) /streamline_config .pl $( obj ) /conf
2014-05-29 09:33:03 +04:00
$( Q) mkdir -p include/config include/generated
2011-07-20 08:40:09 +04:00
$( Q) perl $< --$@ $( srctree) $( Kconfig) > .tmp.config
2010-08-04 16:05:07 +04:00
$( Q) if [ -f .config ] ; then \
2010-08-01 01:35:26 +04:00
cmp -s .tmp.config .config || \
( mv -f .config .config.old.1; \
mv -f .tmp.config .config; \
2015-04-08 14:30:42 +03:00
$( obj) /conf $( silent) --silentoldconfig $( Kconfig) ; \
2010-08-01 01:35:26 +04:00
mv -f .config.old.1 .config.old) \
else \
mv -f .tmp.config .config; \
2015-04-08 14:30:42 +03:00
$( obj) /conf $( silent) --silentoldconfig $( Kconfig) ; \
2009-05-07 19:09:55 +04:00
fi
2009-04-30 06:52:22 +04:00
$( Q) rm -f .tmp.config
2008-01-12 01:40:00 +03:00
# Create new linux.pot file
2007-06-10 22:38:27 +04:00
# Adjust charset to UTF-8 in .po file to accept UTF-8 in Kconfig files
2008-01-12 01:46:11 +03:00
update-po-config : $( obj ) /kxgettext $( obj ) /gconf .glade .h
2015-04-08 14:30:42 +03:00
$( Q) $( kecho) " GEN config.pot"
2011-04-27 02:13:05 +04:00
$( Q) xgettext --default-domain= linux \
--add-comments --keyword= _ --keyword= N_ \
--from-code= UTF-8 \
--files-from= $( srctree) /scripts/kconfig/POTFILES.in \
--directory= $( srctree) --directory= $( objtree) \
2007-06-10 22:38:27 +04:00
--output $( obj) /config.pot
$( Q) sed -i s/CHARSET/UTF-8/ $( obj) /config.pot
2011-11-05 15:21:30 +04:00
$( Q) ( for i in ` ls $( srctree) /arch/*/Kconfig \
$( srctree) /arch/*/um/Kconfig` ; \
2008-01-12 01:40:00 +03:00
do \
2015-04-08 14:30:42 +03:00
$( kecho) " GEN $$ i " ; \
2008-04-25 23:15:41 +04:00
$( obj) /kxgettext $$ i \
2008-01-12 01:40:00 +03:00
>> $( obj) /config.pot; \
done )
2015-04-08 14:30:42 +03:00
$( Q) $( kecho) " GEN linux.pot"
2008-01-12 01:40:00 +03:00
$( Q) msguniq --sort-by-file --to-code= UTF-8 $( obj) /config.pot \
2007-06-10 22:38:27 +04:00
--output $( obj) /linux.pot
$( Q) rm -f $( obj) /config.pot
[PATCH] Kconfig i18n support
This patch adds i18n support for make *config, allowing users to have the
config process in their own language.
No printk was harmed in the process, don't worry, so all the bug reports,
kernel messages, etc, remain in english, just the user tools to configure
the kernel are internationalized.
Users not interested in translations can just unset the related LANG,
LC_ALL, etc env variables and have the config process in plain english,
something like:
LANG= make menuconfig
is enough for having the whole config process in english. Or just don't
install any translation file.
Translations for brazilian portuguese are being done by a team of
volunteers at:
http://www.visionflex.inf.br/kernel_ptbr/pmwiki.php/Principal/Traducoes
To start the translation process:
make update-po-config
This will generate the pot template named scripts/kconfig/linux.pot,
copy it to, say, ~/es.po, to start the translation for spanish.
To test your translation, as root issue this command:
msgfmt -o /usr/share/locale/es/LC_MESSAGES/linux.mo ~/es.po
Replace "es" with your language code.
Then execute, for instance:
make menuconfig
The current patch doesn't use any optimization to reduce the size of the
generated .mo file, it is possible to use the config option as a key, but
this doesn't prevent the current patch from being used or the translations
done under the current scheme to be in any way lost if we chose to do any
kind of keying.
Thanks to Fabricio Vaccari for starting the pt_BR (brazilian portuguese)
translation effort, Thiago Maciera for helping me with the gconf.cc (QT
frontent) i18n coding and to all the volunteers that are already working on
the first translation, to pt_BR.
I left the question on whether to ship the translations with the stock kernel
sources to be discussed here, please share your suggestions.
Signed-off-by: Arnaldo Carvalho de Melo <acme@conectiva.com.br>
Signed-off-by: Andrew Morton <akpm@osdl.org>
Signed-off-by: Linus Torvalds <torvalds@osdl.org
Signed-off-by: Andrew Morton <akpm@osdl.org>
2005-05-06 02:09:46 +04:00
2015-04-08 12:11:57 +03:00
# These targets map 1:1 to the commandline options of 'conf'
simple-targets := oldconfig allnoconfig allyesconfig allmodconfig \
alldefconfig randconfig listnewconfig olddefconfig
PHONY += $( simple-targets)
2005-04-17 02:20:36 +04:00
2015-04-08 12:11:57 +03:00
$(simple-targets) : $( obj ) /conf
2015-04-08 14:30:42 +03:00
$< $( silent) --$@ $( Kconfig)
2005-04-17 02:20:36 +04:00
2015-04-08 12:11:57 +03:00
PHONY += oldnoconfig savedefconfig defconfig
2005-04-17 02:20:36 +04:00
2012-08-31 21:05:17 +04:00
# oldnoconfig is an alias of olddefconfig, because people already are dependent
2015-05-31 20:35:51 +03:00
# on its behavior (sets new symbols to their default value but not 'n') with the
2012-08-31 21:05:17 +04:00
# counter-intuitive name.
2015-04-08 12:11:57 +03:00
oldnoconfig : olddefconfig
2012-08-31 21:05:17 +04:00
2010-08-01 01:35:34 +04:00
savedefconfig : $( obj ) /conf
2015-04-08 14:30:42 +03:00
$< $( silent) --$@ = defconfig $( Kconfig)
2010-08-01 01:35:34 +04:00
2005-04-17 02:20:36 +04:00
defconfig : $( obj ) /conf
i f e q ( $( KBUILD_DEFCONFIG ) , )
2015-04-08 14:30:42 +03:00
$< $( silent) --defconfig $( Kconfig)
2016-01-25 19:45:47 +03:00
e l s e
i f n e q ( $( wildcard $ ( srctree ) /arch /$ ( SRCARCH ) /configs /$ ( KBUILD_DEFCONFIG ) ) , )
2015-04-08 14:30:42 +03:00
@$( kecho) " *** Default configuration is based on ' $( KBUILD_DEFCONFIG) ' "
$( Q) $< $( silent) --defconfig= arch/$( SRCARCH) /configs/$( KBUILD_DEFCONFIG) $( Kconfig)
2015-09-23 08:40:34 +03:00
e l s e
@$( kecho) " *** Default configuration is based on target ' $( KBUILD_DEFCONFIG) ' "
$( Q) $( MAKE) -f $( srctree) /Makefile $( KBUILD_DEFCONFIG)
2005-04-17 02:20:36 +04:00
e n d i f
2016-01-25 19:45:47 +03:00
e n d i f
2005-04-17 02:20:36 +04:00
%_defconfig : $( obj ) /conf
2015-04-08 14:30:42 +03:00
$( Q) $< $( silent) --defconfig= arch/$( SRCARCH) /configs/$@ $( Kconfig)
2005-04-17 02:20:36 +04:00
2015-03-13 09:21:43 +03:00
configfiles = $( wildcard $( srctree) /kernel/configs/$@ $( srctree) /arch/$( SRCARCH) /configs/$@ )
2014-08-07 02:21:00 +04:00
2015-03-13 09:21:43 +03:00
%.config : $( obj ) /conf
$( if $( call configfiles) ,, $( error No configuration exists for this target on this architecture) )
$( Q) $( CONFIG_SHELL) $( srctree) /scripts/kconfig/merge_config.sh -m .config $( configfiles)
+$( Q) yes "" | $( MAKE) -f $( srctree) /Makefile oldconfig
2014-08-07 02:21:00 +04:00
PHONY += kvmconfig
2015-03-13 09:21:43 +03:00
kvmconfig : kvm_guest .config
@:
2014-08-07 02:21:00 +04:00
2015-05-20 21:53:39 +03:00
PHONY += xenconfig
xenconfig : xen .config
@:
2014-08-09 03:25:47 +04:00
PHONY += tinyconfig
2015-03-13 09:21:43 +03:00
tinyconfig :
$( Q) $( MAKE) -f $( srctree) /Makefile allnoconfig tiny.config
2014-08-09 03:25:47 +04:00
2005-04-17 02:20:36 +04:00
# Help text used by make help
help :
@echo ' config - Update current config utilising a line-oriented program'
2015-05-26 14:39:54 +03:00
@echo ' nconfig - Update current config utilising a ncurses menu based'
@echo ' program'
2005-04-17 02:20:36 +04:00
@echo ' menuconfig - Update current config utilising a menu based program'
2015-04-06 12:27:45 +03:00
@echo ' xconfig - Update current config utilising a Qt based front-end'
2015-05-31 20:35:51 +03:00
@echo ' gconfig - Update current config utilising a GTK+ based front-end'
2005-04-17 02:20:36 +04:00
@echo ' oldconfig - Update current config utilising a provided .config as base'
2009-04-30 06:52:22 +04:00
@echo ' localmodconfig - Update current config disabling modules not loaded'
2009-04-30 06:52:23 +04:00
@echo ' localyesconfig - Update current config converting local mods to core'
2009-05-18 03:36:46 +04:00
@echo ' silentoldconfig - Same as oldconfig, but quietly, additionally update deps'
2010-08-01 01:35:31 +04:00
@echo ' defconfig - New config with default from ARCH supplied defconfig'
2010-08-01 01:35:34 +04:00
@echo ' savedefconfig - Save current config as ./defconfig (minimal config)'
2006-02-25 23:52:50 +03:00
@echo ' allnoconfig - New config where all options are answered with no'
2010-08-01 01:35:31 +04:00
@echo ' allyesconfig - New config where all options are accepted with yes'
@echo ' allmodconfig - New config selecting modules when possible'
@echo ' alldefconfig - New config with all symbols set to default'
@echo ' randconfig - New config with random answer to all options'
2010-08-01 01:35:28 +04:00
@echo ' listnewconfig - List new options'
2015-05-26 14:39:54 +03:00
@echo ' olddefconfig - Same as silentoldconfig but sets new symbols to their'
@echo ' default value'
2015-05-20 21:53:38 +03:00
@echo ' kvmconfig - Enable additional options for kvm guest kernel support'
2015-05-20 21:53:39 +03:00
@echo ' xenconfig - Enable additional options for xen dom0 and guest kernel support'
2014-08-09 03:25:47 +04:00
@echo ' tinyconfig - Configure the tiniest possible kernel'
2005-04-17 02:20:36 +04:00
2006-07-28 00:10:27 +04:00
# lxdialog stuff
check-lxdialog := $( srctree) /$( src) /lxdialog/check-lxdialog.sh
2007-10-16 04:23:12 +04:00
# Use recursively expanded variables so we do not call gcc unless
2006-07-28 00:10:27 +04:00
# we really need to do so. (Do not call gcc as part of make mrproper)
2010-08-23 04:03:06 +04:00
HOST_EXTRACFLAGS += $( shell $( CONFIG_SHELL) $( check-lxdialog) -ccflags) \
-DLOCALE
2006-07-28 00:10:27 +04:00
2005-04-17 02:20:36 +04:00
# ===========================================================================
# Shared Makefile for the various kconfig executables:
# conf: Used for defconfig, oldconfig and related targets
2009-11-25 13:28:43 +03:00
# nconf: Used for the nconfig target.
# Utilizes ncurses
2009-05-18 03:36:45 +04:00
# mconf: Used for the menuconfig target
2005-04-17 02:20:36 +04:00
# Utilizes the lxdialog package
# qconf: Used for the xconfig target
2015-04-06 12:27:45 +03:00
# Based on Qt which needs to be installed to compile it
2005-04-17 02:20:36 +04:00
# gconf: Used for the gconfig target
2015-05-31 20:35:51 +03:00
# Based on GTK+ which needs to be installed to compile it
2005-04-17 02:20:36 +04:00
# object files used by all kconfig flavours
2006-07-28 00:10:27 +04:00
lxdialog := lxdialog/checklist.o lxdialog/util.o lxdialog/inputbox.o
lxdialog += lxdialog/textbox.o lxdialog/yesno.o lxdialog/menubox.o
2005-04-17 02:20:36 +04:00
conf-objs := conf.o zconf.tab.o
2009-11-25 13:28:43 +03:00
mconf-objs := mconf.o zconf.tab.o $( lxdialog)
nconf-objs := nconf.o zconf.tab.o nconf.gui.o
[PATCH] Kconfig i18n support
This patch adds i18n support for make *config, allowing users to have the
config process in their own language.
No printk was harmed in the process, don't worry, so all the bug reports,
kernel messages, etc, remain in english, just the user tools to configure
the kernel are internationalized.
Users not interested in translations can just unset the related LANG,
LC_ALL, etc env variables and have the config process in plain english,
something like:
LANG= make menuconfig
is enough for having the whole config process in english. Or just don't
install any translation file.
Translations for brazilian portuguese are being done by a team of
volunteers at:
http://www.visionflex.inf.br/kernel_ptbr/pmwiki.php/Principal/Traducoes
To start the translation process:
make update-po-config
This will generate the pot template named scripts/kconfig/linux.pot,
copy it to, say, ~/es.po, to start the translation for spanish.
To test your translation, as root issue this command:
msgfmt -o /usr/share/locale/es/LC_MESSAGES/linux.mo ~/es.po
Replace "es" with your language code.
Then execute, for instance:
make menuconfig
The current patch doesn't use any optimization to reduce the size of the
generated .mo file, it is possible to use the config option as a key, but
this doesn't prevent the current patch from being used or the translations
done under the current scheme to be in any way lost if we chose to do any
kind of keying.
Thanks to Fabricio Vaccari for starting the pt_BR (brazilian portuguese)
translation effort, Thiago Maciera for helping me with the gconf.cc (QT
frontent) i18n coding and to all the volunteers that are already working on
the first translation, to pt_BR.
I left the question on whether to ship the translations with the stock kernel
sources to be discussed here, please share your suggestions.
Signed-off-by: Arnaldo Carvalho de Melo <acme@conectiva.com.br>
Signed-off-by: Andrew Morton <akpm@osdl.org>
Signed-off-by: Linus Torvalds <torvalds@osdl.org
Signed-off-by: Andrew Morton <akpm@osdl.org>
2005-05-06 02:09:46 +04:00
kxgettext-objs := kxgettext.o zconf.tab.o
2011-04-27 02:00:05 +04:00
qconf-cxxobjs := qconf.o
2011-06-02 00:14:47 +04:00
qconf-objs := zconf.tab.o
gconf-objs := gconf.o zconf.tab.o
2005-04-17 02:20:36 +04:00
2014-08-19 11:34:22 +04:00
hostprogs-y := conf nconf mconf kxgettext qconf gconf
2005-04-17 02:20:36 +04:00
2011-06-02 00:14:47 +04:00
clean-files := qconf.moc .tmp_qtcheck .tmp_gtkcheck
2011-05-23 09:08:19 +04:00
clean-files += zconf.tab.c zconf.lex.c zconf.hash.c gconf.glade.h
2008-01-12 01:40:00 +03:00
clean-files += config.pot linux.pot
2005-04-17 02:20:36 +04:00
2007-12-09 22:11:15 +03:00
# Check that we have the required ncurses stuff installed for lxdialog (menuconfig)
PHONY += $( obj) /dochecklxdialog
$(addprefix $(obj)/,$(lxdialog)) : $( obj ) /dochecklxdialog
$(obj)/dochecklxdialog :
2010-08-16 08:19:04 +04:00
$( Q) $( CONFIG_SHELL) $( check-lxdialog) -check $( HOSTCC) $( HOST_EXTRACFLAGS) $( HOSTLOADLIBES_mconf)
2007-12-09 22:11:15 +03:00
always := dochecklxdialog
2007-08-13 01:15:44 +04:00
# Add environment specific flags
HOST_EXTRACFLAGS += $( shell $( CONFIG_SHELL) $( srctree) /$( src) /check.sh $( HOSTCC) $( HOSTCFLAGS) )
2005-10-31 02:03:20 +03:00
2005-04-17 02:20:36 +04:00
# generated files seem to need this to find local include files
2011-05-23 09:08:19 +04:00
HOSTCFLAGS_zconf.lex.o := -I$( src)
2005-04-17 02:20:36 +04:00
HOSTCFLAGS_zconf.tab.o := -I$( src)
2011-05-23 10:08:52 +04:00
LEX_PREFIX_zconf := zconf
YACC_PREFIX_zconf := zconf
2011-06-02 00:14:47 +04:00
HOSTLOADLIBES_qconf = $( KC_QT_LIBS)
HOSTCXXFLAGS_qconf.o = $( KC_QT_CFLAGS)
2005-04-17 02:20:36 +04:00
2011-06-02 00:14:47 +04:00
HOSTLOADLIBES_gconf = ` pkg-config --libs gtk+-2.0 gmodule-2.0 libglade-2.0`
2006-01-02 13:25:30 +03:00
HOSTCFLAGS_gconf.o = ` pkg-config --cflags gtk+-2.0 gmodule-2.0 libglade-2.0` \
2011-06-06 07:36:05 +04:00
-Wno-missing-prototypes
2005-04-17 02:20:36 +04:00
2010-08-16 08:19:04 +04:00
HOSTLOADLIBES_mconf = $( shell $( CONFIG_SHELL) $( check-lxdialog) -ldflags $( HOSTCC) )
2013-03-06 17:02:02 +04:00
HOSTLOADLIBES_nconf = $( shell \
2014-06-04 11:52:31 +04:00
pkg-config --libs menuw panelw ncursesw 2>/dev/null \
|| pkg-config --libs menu panel ncurses 2>/dev/null \
2013-03-06 17:02:02 +04:00
|| echo "-lmenu -lpanel -lncurses" )
2005-04-17 02:20:36 +04:00
$(obj)/qconf.o : $( obj ) /.tmp_qtcheck
2014-08-19 11:34:22 +04:00
i f e q ( $( MAKECMDGOALS ) , x c o n f i g )
2005-11-22 08:32:38 +03:00
$(obj)/.tmp_qtcheck : $( src ) /Makefile
2005-04-17 02:20:36 +04:00
- i n c l u d e $( obj ) / . t m p _ q t c h e c k
2015-04-06 12:27:45 +03:00
# Qt needs some extra effort...
2005-04-17 02:20:36 +04:00
$(obj)/.tmp_qtcheck :
2015-09-22 21:36:39 +03:00
@set -e; $( kecho) " CHECK qt" ; \
2015-11-02 06:12:53 +03:00
if pkg-config --exists Qt5Core; then \
cflags = "-std=c++11 -fPIC `pkg-config --cflags Qt5Core Qt5Gui Qt5Widgets`" ; \
libs = ` pkg-config --libs Qt5Core Qt5Gui Qt5Widgets` ; \
moc = ` pkg-config --variable= host_bins Qt5Core` /moc; \
elif pkg-config --exists QtCore; then \
cflags = ` pkg-config --cflags QtCore QtGui` ; \
libs = ` pkg-config --libs QtCore QtGui` ; \
moc = ` pkg-config --variable= moc_location QtCore` ; \
2005-11-06 13:05:21 +03:00
else \
2015-09-22 21:36:39 +03:00
echo >& 2 "*" ; \
2015-11-02 06:12:53 +03:00
echo >& 2 "* Could not find Qt via pkg-config." ; \
echo >& 2 "* Please install either Qt 4.8 or 5.x. and make sure it's in PKG_CONFIG_PATH" ; \
2015-09-22 21:36:39 +03:00
echo >& 2 "*" ; \
exit 1; \
2005-11-22 08:32:38 +03:00
fi ; \
echo " KC_QT_CFLAGS= $$ cflags " > $@ ; \
echo " KC_QT_LIBS= $$ libs " >> $@ ; \
echo " KC_QT_MOC= $$ moc " >> $@
2005-04-17 02:20:36 +04:00
e n d i f
$(obj)/gconf.o : $( obj ) /.tmp_gtkcheck
2014-08-19 11:34:22 +04:00
i f e q ( $( MAKECMDGOALS ) , g c o n f i g )
2005-04-17 02:20:36 +04:00
- i n c l u d e $( obj ) / . t m p _ g t k c h e c k
2015-05-31 20:35:51 +03:00
# GTK+ needs some extra effort, too...
2005-04-17 02:20:36 +04:00
$(obj)/.tmp_gtkcheck :
2006-01-02 13:25:30 +03:00
@if ` pkg-config --exists gtk+-2.0 gmodule-2.0 libglade-2.0` ; then \
if ` pkg-config --atleast-version= 2.0.0 gtk+-2.0` ; then \
2005-04-17 02:20:36 +04:00
touch $@ ; \
else \
2012-07-08 01:32:18 +04:00
echo >& 2 "*" ; \
echo >& 2 "* GTK+ is present but version >= 2.0.0 is required." ; \
echo >& 2 "*" ; \
2005-04-17 02:20:36 +04:00
false; \
fi \
else \
2012-07-08 01:32:18 +04:00
echo >& 2 "*" ; \
echo >& 2 "* Unable to find the GTK+ installation. Please make sure that" ; \
echo >& 2 "* the GTK+ 2.0 development package is correctly installed..." ; \
echo >& 2 "* You need gtk+-2.0, glib-2.0 and libglade-2.0." ; \
echo >& 2 "*" ; \
2005-04-17 02:20:36 +04:00
false; \
fi
e n d i f
2011-05-23 09:08:19 +04:00
$(obj)/zconf.tab.o : $( obj ) /zconf .lex .c $( obj ) /zconf .hash .c
2005-04-17 02:20:36 +04:00
2011-06-02 00:14:47 +04:00
$(obj)/qconf.o : $( obj ) /qconf .moc
2005-04-17 02:20:36 +04:00
2012-07-05 03:31:11 +04:00
quiet_cmd_moc = MOC $@
cmd_moc = $( KC_QT_MOC) -i $< -o $@
$(obj)/%.moc : $( src ) /%.h $( obj ) /.tmp_qtcheck
$( call cmd,moc)
2005-04-17 02:20:36 +04:00
2015-05-31 20:35:51 +03:00
# Extract gconf menu items for i18n support
2008-01-12 01:46:11 +03:00
$(obj)/gconf.glade.h : $( obj ) /gconf .glade
2011-04-27 02:16:53 +04:00
$( Q) intltool-extract --type= gettext/glade --srcdir= $( srctree) \
2011-04-27 02:13:05 +04:00
$( obj) /gconf.glade